Subject: Re: Re: YUP and RPM dependencies

From: jingai <[email-masked]>
Date: Sat, 18 Mar 2000 09:55:20 EST

> > After I heard about the YellowDog Update Program (YUP) from someone on
this
> > list, I went and downloaded the RPM and installed it.  However, it ....
> > But, as a side note, I'm ecstatic that this sort of app is finally
out.. I
>
>
> Ummm... this is a *developer* mailing list - but where, oh  where  is
> the  good old Unix tradition of using the toolbox? Even if you do not
> find a fancy tool with GUI and bells and whistles,  you  always  have
> the toolbox right at your fingertips.
> [...snip...]
> In ten minutes you will have a script of about 100 lines  which  will
> do  exactly  what you want... And as an additional benefit you can go
> ecstatic that you have written it yourself, and you probably  learned
> a few new things, too.

I realize this, but I was just wanting a package management tool like the
Debian distros ship with *without* having to write scripts such as this.
Unfortunately I have a job at which I work far too many hours and just
haven't the time.  I posted this to the dev list to make other developers
aware of the problem with YUP so it can be fixed -- I'd fix it myself, but
I 1) don't know Python at all, and 2) haven't the time to learn it.

Sorry if the post aggravated you.

> Ummm... and BTW: is it really so difficult to  check  with  a  search
> engine? I quich search at freshmeat for "update new RPM" shows
>
> rhlupdate
>    rhlupdate is a small configurable perl script that will connect to
>    your favorite Red Hat site and update all of the RPMS you have
>    installed. It also allows you to specify what packages not to
>    upgrade.
>
> It's there, you just have to look a bit around...

Again, sorry.  I didn't think to look because I figured it would have been
posted all over the list when such a tool was released -- afterall, I'm
sure many RedHat users get pretty tired of manually updating packages.

-j

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/